package  
{
	import flash.display.Sprite;
	import flash.geom.Matrix;
	/**
	 * ...
	 * @author Shiu
	 */
	[SWF(width = 300, height = 200)]
	public class Multiplication_final extends Sprite
	{
		private var m:Matrix;
		public function Multiplication_final() 
		{
			var ref:DottedBox = new DottedBox();	//create reference graphic
			addChild(ref); ref.x = stage.stageWidth * 0.5; ref.y = stage.stageHeight * 0.5;
			
			m = new Matrix();				//instantiate matrix
			m.tx = stage.stageWidth * 0.5;			//shift in x
			m.ty = stage.stageHeight * 0.5;			//shift in y
			transformation(8);
			var d:DottedBox = new DottedBox();	//create the custom graphic
			addChild(d);
			d.transform.matrix = m						//apply the matrix onto our graphic
		}
		
		private function transformation(i:int) :void{
			if (i == 1) {					//scaling in x
				m.a = 2; m.c = 0; 
				m.b = 0; m.d = 1; 
			}
			else if (i == 2) {			//scaling in x and y
				m.a = 2; m.c = 0; 
				m.b = 0; m.d = 2; 
			}
			else if (i == 3) {			//reflect in x
				m.a =-1; m.c = 0; 
				m.b = 0; m.d = 1; 
			}
			else if (i == 4) {			//reflect in x and y
				m.a =-1; m.c = 0; 
				m.b = 0; m.d = -1; 
			}
			else if (i == 5) {			//shear - tweak x-axis
				m.a = 2; m.c = 0; 
				m.b = 1; m.d = 1; 
			}
			else if (i == 6) {			//shear - tweak y-axis
				m.a = 1; m.c = 1; 
				m.b = 0; m.d = 2; 
			}
			else if (i == 7) {			//shear - tweak x-axis & y-axis
				m.a = 0.5; m.c = 1; 
				m.b = 0.2; m.d = 2; 
			}
			else if (i == 8) {			//rotate 45 degrees or 0.25 Pi radians
				var a:Number = 0.25*Math.PI
				m.a = Math.cos(a); m.c = -1*Math.sin(a); 
				m.b = Math.sin(a); m.d = Math.cos(a); 
			}
		}
	}

}